import 'package:flutter/material.dart';

class SignupAddressScreen extends StatelessWidget {
  const SignupAddressScreen({super.key});

  @override
  Widget build(BuildContext context) {
    return Column(
      spacing: 30,
      children: [
        Text("Domicilio"),
        Text(
          "Tu dirección",
          style: TextStyle(fontWeight: FontWeight.bold, fontSize: 30),
        ),
        Text(
          "Tu dirección nos ayuda a verificar y mantener la seguridad de tu cuenta",
        ),
        TextField(
          decoration: InputDecoration(
            hintText: "Dirección completa",
            border: OutlineInputBorder(),
          ),
        ),
        TextField(
          decoration: InputDecoration(
            hintText: "Ciudad",
            border: OutlineInputBorder(),
          ),
        ),
        DropdownMenu(
          dropdownMenuEntries: List<DropdownMenuEntry>.generate(3, (int index) {
            return DropdownMenuEntry(value: "España", label: "España");
          }),
          hintText: "País",
          width: double.infinity,
        ),
        TextField(
          decoration: InputDecoration(
            hintText: "Nacionalidad",
            border: OutlineInputBorder(),
          ),
        ),
      ],
    );
  }
}
